local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.Crafting101(container)




local frame = AceGUI:Create("Frame")
frame:SetTitle("Crafting 101")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125What Crafting Professions Are There?")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("There are Multiple Crafting professions around. We have Tailoring, Blacksmithing and Leatherworking. These are the core of what I like to call, the BOE professions. Simply put, these are mainly used for there ability to create Crated items other players can use. The other professions fall into a category I call the Utility Professions. These are Alchemy, Inscription, Cooking and Enchanting. These are mainly used for Producing items and consumables that aid the player with in-game activities. Lastly We Have, the Mixed professions. These take on multiple roles where they can produce Utilities and BOE's. These Would be Jewlcrafting and Engineering, both important professions but with some aspects are over looked. Now with these professions all arranged, lets dig a little deeper.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Boe Professions:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("For Boe Professions, you will be wanting to produce Current Content gear if you are just getting into the game with Blacksmithing, Leatherworking and Tailoring. This is because the boes from these professions are the most sort after. Everyone needs gear and alot of people would rather buy gear once they hit max level in order to gear up fast. This also goes with alt characters as a lot of players want to gear them quickly and the majority of the time it is the fastest method in order to do so. However, this can get over saturated which can lead to some price drops, but you are able to pull a profit most of the time. This is something to bare in mind as a whole and we will discussing a simple setup which you can use to avoid losing gold later on.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Utility Professions:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As for Utility professions we will be wanting to look at items that sell fast as a beginner. These can range from Current content Potions, Flasks, Feasts and Enchantments. Utility items tend to sell fastest upon raid nights this is because raiders will typically will buy there items ahead of time or just before the raid making them in high demand. This follows a simple trend of around 5pm to 8pm of massive bulk sales. However, this is known to a lot of crafting gold makers and can get quite competitive. If you wish to sell these items on the auction house in a window of three 3ish hours then aggressive cancel scanning and reposting is required to stay ahead of the competition. Though this is one method of selling utility items, you are able to sell them casually throughout a given week and as such gain steady gold by doing so. Sourcing materials for these crafts you will be wanting to purchase materials if profitable, 2 to 3 days before a weekly reset as this is when prices userally will drop and that means it is the best time to maximise profits.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mixed Professions:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Mixed Professions combine both factors we have discussed already but I would suggest if you are just getting started to avoid these professions until you have established yourself in one of the areas we have already covered.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Basic TSM Setup:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Now for a simple crafting setup that you can use. You will want to go to your operations tab in TSM. Make your way over to Crafting operations and select the plus icon to create a new operation. Inside hear you will want to set the minimum and maximum you would like to craft. So for example we can set 20 as our minimum and 100 as our maximum. This will then craft 100 of that item and will only restock your supply if it is below 20 of that item. Next is the minimum profit you would like to receive. TSM already takes into account for the crafting value so all you will need to do is set the profit you wish to gain. A good rule of thumb is 20%Crafting as your min profit. Once this is complete just attach this to a group of items you wish to craft from and presto! You have your own crafting operation. But this does not stop hear, you will need an Auctioning operation to post the item on the auction house.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Go to Auctioning operations, press the plus symbol and now it is time to setup a simple posting operation. You will need to set your post cap of the items you are selling, for a simple setup just set it to 50,000 as a basic setup. Following onto that you need to set your Minimum , Normal and Maximum prices. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
local editbox = AceGUI:Create("EditBox")
editbox:SetLabel("For minimum set this to:")
editbox:SetText("120%Crafting")
editbox:SetWidth(200)
scroll:AddChild(editbox)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
local editbox = AceGUI:Create("EditBox")
editbox:SetLabel("For Normal :")
editbox:SetText("200%Crafting")
editbox:SetWidth(200)
scroll:AddChild(editbox)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
local editbox = AceGUI:Create("EditBox")
editbox:SetLabel("For your maximum.:")
editbox:SetText("1000%Crafting")
editbox:SetWidth(200)
scroll:AddChild(editbox)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  
    local desc = AceGUI:Create("Label")
  desc:SetText("This will ensure that you will only be posting the item for 120%Crafting, meaning you will only post if you get 20% Profit.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



end